Page MenuHomePhabricator

efl_model : rename all efl_model based classes.
ClosedPublic

Authored by SanghyeonLee on Jan 3 2019, 3:47 AM.

Details

Summary

As the result of discussion in T7458,
we need to rename all efl_model based classes with efl_XXX_Model sequence.
I've run few vote for this, see V42, V43
few classes are totally renamed as our consideration of misnaming.

Efl.Model_LoopEfl.Loop_Model
Efl.Model_ItemEfl.Generic_Model
Efl.Model_ContainerEfl.Container_Model
Efl.Model_Container_ItemEfl.Container_Model_Item
Efl.Model_CompositeEfl.Composite_Model
Efl.Model_Composite_BooleanEfl.Boolean_Model
Efl.Model_Composite_Boolean_ChlidrenEfl.Boolean_Model_Item
Efl.Model_Composite_SelectionEfl.Select_Model
Efl.Model_Composite_Selection_ChlidrenEfl.Select_Model_Item
Efl.Model_ViewEfl.View_Model
Eio.ModelEfl.Io.Model
Efl.Ui.Model_StateEfl.Ui.State_Model
Efl.Ui.Model_SizeEfl.Ui.Size_Model
Efl.Ui.Model_ExactEfl.Ui.Exact_Model
Efl.Ui.Model_AverageEfl.Ui.Average_Model
Efl.Ui.Model_HomogeneousEfl.Ui.Homogeneous_Model

I worried about Efl.Io.Model changes, cause it is widely used,
but as I tested, there is no issue found yet.

Eldbus.Model also may can changed Efl.Dbus.Model,
but I cannot found any class who using Efl.Dbus namespace,
so I left it future work.

Test Plan

Run the Make Test,
it works well except Efl test about selection.
there are class inheritance problem exist in select_model,
I reported it and will fix it in another patch.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
SanghyeonLee created this revision.Jan 3 2019, 3:47 AM
SanghyeonLee requested review of this revision.Jan 3 2019, 3:47 AM
SanghyeonLee edited the summary of this revision. (Show Details)Jan 3 2019, 3:53 AM

rebasing patch on top of D7529

rebasing patch with depending on all cedric's patch on top of
D7705

Current diff may not buildable yet but i updated for the backup of my task.

Current diff may not buildable yet but i updated for the backup of my task.

Maybe add the "DO NOT MERGE" tag while it is not finished?

cedric accepted this revision.Jan 25 2019, 3:18 PM

Thanks for the rename. I will merge once my patch land.

This revision is now accepted and ready to land.Jan 25 2019, 3:18 PM

Current diff may not buildable yet but i updated for the backup of my task.

Maybe add the "DO NOT MERGE" tag while it is not finished?

oh yes thanks.. I was in mobile before.

update patch. fix build errors

rebase patch

rebasing patch and resolve conflict

SanghyeonLee edited the summary of this revision. (Show Details)Jan 30 2019, 9:16 PM

fix few typo which was generated by conflict resolving

This revision was automatically updated to reflect the committed changes.